MPTCTL_SYSCALL_DOWN(9)

NAME
mptctl_syscall_down - Down the MPT adapter syscall semaphore.

SYNOPSIS

int mptctl_syscall_down(MPT_ADAPTER * ioc, int nonblock);

ARGUMENTS

ioc
    Pointer to MPT adapter

nonblock
    boolean, non-zero if O_NONBLOCK is set

DESCRIPTION

All of the ioctl commands can potentially sleep, which is illegal with a spinlock held, thus we perform mutual exclusion here.

Returns negative errno on error, or zero for success.

COPYRIGHT